PKGCTL-RELEASE(1)

NUME
pkgctl-release - pasul de lansare pentru comiterea, etichetarea și încărcarea artefactelor de construcție

SINOPSIS

pkgctl release [OPȚIUNI] [RUTĂ...]

DESCRIERE

Fișierele modificate controlate de versiune vor fi mai întâi pregătite pentru comitere, apoi va fi creată o etichetă Git corespunzătoare versiunii pachetului și, în final, vor fi încărcate toate artefactele de construcție.

În mod implicit, depozitul pacman țintă va fi detectat automat prin interogarea depozitului în care este lansat în prezent. La adăugarea inițială a unui nou pachet în depozite, depozitul țintă trebuie specificat manual.

OPȚIUNI

-m, --message MSJ
    Utilizează <msj>-ul dat specificat ca mesaj de comitere a modificărilor

-r, --repo DEPOZIT
    Specifică depozitul țintă pentru pachetele noi care nu se află în niciun depozit oficial. Utilizarea acestei opțiuni nu este permisă în cazul în care pachetul este deja lansat, deoarece ar eluda protecția de detectare automată.

-s, --staging
    Construiește față de omologul de staționare al depozitului autodetectat

-t, --testing
    Construiește față de omologul de testare al depozitului detectat automat

-u, --db-update
    Actualizează automat baza de date pacman după încărcare

-h, --help
    Afișează mesajul de ajutor

CONSULTAȚI ȘI

pkgctl-db-update(1)

PAGINA WEB PRINCIPALĂ

Vă rugăm să raportați erorile și solicitările de caracteristici în sistemul de urmărire a problemelor. Vă rugăm să faceți tot posibilul pentru a furniza un caz de testare reproductibil pentru erori.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.